List studio automations
const url = 'https://api.caller9.app/v1/studios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/automations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/studios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/automations \ --header 'Authorization: Bearer <token>'Recurring weekly schedules that flip a studio toggle (Busy/DND or AI Screen All) at a local time. Ordered by trigger time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Studio ID (UUID).
Responses
Section titled “Responses”Automations.
object
A recurring studio automation. action_value and enabled are integers (0 / 1). Create and
update responses also include the additional columns marked optional below (always null for
studio automations, except last_fired_at).
object
Weekday bitmask (bit 0 = Sunday … bit 6 = Saturday).
Local minutes after midnight.
IANA timezone name.
When the automation last fired (create/update responses only).
Example
{ "automations": [ { "action": "busy_all", "action_value": 0, "enabled": 0 } ]}Missing, invalid, expired or revoked API key.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Not found, or belongs to another organization.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Seconds until the rate-limit window resets.